%define pkg_name        HTTP-Proxy
%define pkg_version     0.20
%define rpm_pkg_version 0.20
%define rpm_pkg_release 1.n0i.2

Summary:       HTTP proxy
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BO/BOOK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%if %{!?_without_test:1}0
BuildRequires: perl(HTTP::Daemon) >= 1.25
BuildRequires: perl(LWP::UserAgent) >= 2
%endif


%description
This module implements a HTTP proxy, using a HTTP::Daemon to accept client
connections, and a LWP::UserAgent to ask for the requested pages.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ README


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.20-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.20

* Sat Jun 17 2006 Marius Feraru <altblue@n0i.net> - 0.19-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
